## org.plovr.docgen
Enum AccessLevel

    java.lang.Object
      java.lang.Enum<AccessLevel>
          org.plovr.docgen.AccessLevel

All Implemented Interfaces:
  Serializable, Comparable<AccessLevel>

    public enum AccessLevel

extends Enum<AccessLevel>

Enum Constant Summary
`PRIVATE`
`PROTECTED`
`PUBLIC`

Method Summary
`static AccessLevel` `getLevelForInfo(JSDocInfo info, String className, String methodName, Map<String,ClassDescriptor.Builder> classes)` className is only used if the JSDocInfo is for an instance method.
`static AccessLevel` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AccessLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PUBLIC

    public static final AccessLevel PUBLIC

### PROTECTED

    public static final AccessLevel PROTECTED

### PRIVATE

    public static final AccessLevel PRIVATE

Method Detail

### values

    public static AccessLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AccessLevel c : AccessLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AccessLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getLevelForInfo

    public static AccessLevel getLevelForInfo(JSDocInfo info,
                                              String className,
                                              String methodName,
                                              Map<String,ClassDescriptor.Builder> classes)

  className is only used if the JSDocInfo is for an instance method.